server {
    listen 443;
    root /usr/share/nginx/html;
    index index.html;

    auth_basic "Interview Access";
    auth_basic_user_file /etc/nginx/.htpasswd;

    location / {
        try_files $uri $uri.html $uri/ =404;
    }

    location ~* ^/(prompt|problem|v1|question|challenge|interview|task) {
        try_files $uri $uri.html =404;
        add_header Cache-Control "no-store";
    }
}
